Bug 43739 - Modules directory searched for is a different name from the one that actually exists
Modules directory searched for is a different name from the one that actually...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: basesystem (Show other bugs)
7.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-06 18:38 EDT by IBM Bug Proxy
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-06 18:38:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2001-06-06 18:38:34 EDT
LTC154

Hardware Environment:
Intel SDV IA-64
~1gig ram
18 gig scsi HD
b3 stepping Itanium

Software Environment:
Redhat 7.1 for IA-64 beta (may 29 beta)

Steps to Reproduce:
1. Watch boot for errors
--or--
2. type 'modprobe'
--or--
3. try to install a module

Actual Results:
Error message: Can't open dependencies file
/lib/modules/2.4.3-3/modules.dep (No
such file or directory)

Expected Results:
Should work/not get error.
See Additional Information

Contact Information:
Paul Larson
plars@austin.ibm.com
(512)838-9303

Additional Information:
The directory it is looking for modules in is /lib/modules/2.4.3-3, but the
only
directories under /lib/modules are '2.4.3-2.10.1' and '2.4.3-2.10.1smp'.



------- Additional Comments From Khoa Huynh(khoa@us.ibm.com) 2001-06-04
13:45 -------

Glen -- please send this to Red Hat....Thanks!



------- Additional Comments From Paul Larson(plars@us.ibm.com) 2001-06-06
12:07 -------

Ross called me a few minutes ago and requested I do a uname -a or cat
/proc/version.  The output of this showed the version to be "2.4.3-3smp"
(and
yes I'm currently booted into the smp version, I was verifying that it did
this
for both the stock UP and SMP kernels).

In addition, I tried loading several modules out of the
/lib/modules/2.4.3-2.10.1smp directory.  All of them I tried gave
unresolved
symbols, so I picked one with only 1 unresloved symbol as an example.

# cd /lib/modules/2.4.3-2.10.1smp/kernel/drivers/input
# insmod input.o
input.o: unresolved symbol register_chrdev_Rffd86d4e

# ksyms -a |grep register_chrdev
e0000000048593e0        register_chrdev_R8ab9e2da



------- Additional Comments From Khoa Huynh(khoa@us.ibm.com) 2001-06-06
13:10 -------

I added Ross' name to the CC list....as Ross is also working with Paul
to look into this problem....
Comment 1 Bill Nottingham 2001-06-06 18:43:00 EDT
That's normal. If you're running 2.4.3-3smp, you can't load modules
from 2.4.3-2.10.1smp.

It appears you've booted a kernel/initrd combination that you don't
actually have installed on the system.

Note You need to log in before you can comment on or make changes to this bug.